#ifndef INJECTION_PUMP_CONTROLLER_H
#define INJECTION_PUMP_CONTROLLER_H

#define LEDC_TIMER LEDC_TIMER_0
#define LEDC_MODE LEDC_LOW_SPEED_MODE
#define LEDC_CHANNEL LEDC_CHANNEL_0
#define LEDC_DUTY_RES LEDC_TIMER_8_BIT
#define LEDC_DUTY (64)


#define LEAD 1
#define MICRO_STEP 4
#define STEP_ANGLE 18
#define CIRCLE_ANGLE 3600
#define STEP_INTERVAL 10

#define PUSH 0
#define PULL 1


extern int LEDC_LOW_FREQUENCY;
extern int LEDC_HIGH_FREQUENCY;

void set_pump_frequency(int low, int high);
void set_pump_speed(double low_speed_ml_s, double high_speed_ml_s);
void injection_pump_run(double length_mm,int direction);
void injection_pump_init(void);

#endif